Subject: Re: [GENERAL] fulltext search stemming/ spelling problems
From: Corin <[email-masked]>
To: Oleg Bartunov <[email-masked]>, [email-masked]
Date: Thu, 08 Apr 2010 22:54:38 +0200

On 08.04.2010 21:27, Oleg Bartunov wrote:
> it means, that (from 
> http://www.postgresql.org/docs/current/static/textsearch-dictionaries.html#TEXTSEARCH-ISPELL-DICTIONARY) 
>
>
> 12.6.5. Ispell Dictionary
>
> The Ispell dictionary template supports morphological dictionaries, 
> which can normalize many different linguistic forms of a word into the 
> same lexeme. For example, an English Ispell dictionary can match all 
> declensions and conjugations of the search term bank, e.g., banking, 
> banked, banks, banks', and bank's.
I already read this but I don't know how to solve my problems with this 
information.

SELECT ts_lexize('english_ispell','guitar');
{guitar}
(1 line)

SELECT ts_lexize('english_ispell','bank');
{bank}
(1 line)

SELECT ts_debug('english_ispell','bank');
(asciiword,"Word, all 
ASCII",bank,"{english_ispell,english_stem}",english_ispell,{bank})
(1 line)

SELECT plainto_tsquery('english_ispell','bank');
'bank'
(1 line)
>     Regards,
>         Oleg
It would be very nice if you (or anyone else) could provide me with 
concrete instructions or any howto. What can I do to find the error in 
my setup? What output should I expect from the above comments if 
everything worked correctly?

Thanks,
Corin